Show Instance

1 - 1.2

get /v1/clusters/{cluster_id}/instances/{instance_name}

Description

Show Instance.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
pathinstance_name
required
Instance name
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKInstanceDetailResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/instances/{instance_name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = eventstreams 1.2"

Example HTTP response

Response 200

{
    "account_id": "",
    "block_storages": [
        {
            "name": "",
            "role_type": "OS",
            "size_gb": "",
            "volume_type": "SSD"
        }
    ],
    "cluster_id": "",
    "cluster_name": "",
    "cpu_core": "",
    "created_at": "2024-01-15T10:30:00.000Z",
    "created_by": "",
    "dbaas_engine": "",
    "memory_gb": "",
    "modified_at": "2024-01-15T10:30:00.000Z",
    "modified_by": "",
    "name": "",
    "os_type": "",
    "os_version": "",
    "product_image_type": "",
    "product_type": "",
    "public_ip_address": "",
    "public_ip_id": "",
    "region": "",
    "role_type": "",
    "server_type_name": "",
    "service_ip_address": "",
    "service_state": "RUNNING",
    "software_version": "",
    "zone": ""
}